strcat
Prev | Orchestra Opcodes and Operators | Next

## strcat

strcat — Concatenate strings

## Description

Concatenate two strings and store the result in a variable. strcat runs at i-time only. It is allowed for any of the input arguments to be the same as the output variable.

## Syntax

    Sdst strcat Ssrc1, Ssrc2

## Examples

Here is an example of the strcat opcode. It uses the file strcat.csd.

Example 815. Example of the strcat opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac     ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o strcat.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1

    Sname =  "beats"
    Sname strcat  Sname, ".wav"
    asig  soundin Sname
          outs asig, asig

    endin
    </CsInstruments>
    <CsScore>

    i 1 0 2
    e
    </CsScore>
    </CsoundSynthesizer>

## See also

strcatk

## Credits

Author: Istvan Varga
2005

New in version 5.02

Prev | Up | Next
strcpyk | Home | strcatk